Loading...
Searching...
No Matches
mbedtls_poly1305_context Struct Reference

`#include <poly1305.h>`

## Data Fields

uint32_t | private_r [4]
uint32_t | private_s [4]
uint32_t | private_acc [5]
uint8_t | private_queue [16]
size_t | private_queue_len
int | dummy

## Detailed Description

Definition at line 38 of file poly1305.h.

## Field Documentation

## dummy

int mbedtls_poly1305_context::dummy

Definition at line 11 of file poly1305_alt.h.

## private_acc

uint32_t mbedtls_poly1305_context::private_acc[5]

The value for 's' (high 128 bits of the key).

Definition at line 41 of file poly1305.h.

## private_queue

uint8_t mbedtls_poly1305_context::private_queue[16]

The accumulator number.

Definition at line 42 of file poly1305.h.

## private_queue_len

size_t mbedtls_poly1305_context::private_queue_len

The current partial block of data.

Definition at line 43 of file poly1305.h.

## private_r

uint32_t mbedtls_poly1305_context::private_r[4]

Definition at line 39 of file poly1305.h.

## private_s

uint32_t mbedtls_poly1305_context::private_s[4]

The value for 'r' (low 128 bits of the key).

Definition at line 40 of file poly1305.h.

The documentation for this struct was generated from the following files:

- poly1305.h
- poly1305_alt.h